summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-10-31 14:18:41 +0000
committerMichał Górny <mgorny@gentoo.org>2012-10-31 14:18:41 +0000
commit2eb195b5036bff94849f3f4d39ad031742531866 (patch)
treead3c0898ad4999dcba2ca952779f804e7b1b3659 /eclass/python-r1.eclass
parentRemoved old version affected by Bug #320797 (diff)
downloadgentoo-2-2eb195b5036bff94849f3f4d39ad031742531866.tar.gz
gentoo-2-2eb195b5036bff94849f3f4d39ad031742531866.tar.bz2
gentoo-2-2eb195b5036bff94849f3f4d39ad031742531866.zip
Fix the shebang correcting function to patch shebang only. Thanks to Enlik for the patch.
Diffstat (limited to 'eclass/python-r1.eclass')
-rw-r--r--eclass/python-r1.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 351d2e33db98..0fc6ecc345fc 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.13 2012/10/29 11:27:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.14 2012/10/31 14:18:41 mgorny Exp $
# @ECLASS: python-r1
# @MAINTAINER:
@@ -466,7 +466,7 @@ _python_rewrite_shebang() {
die "${FUNCNAME}: ${f} does not seem to have a valid shebang"
fi
- sed -i -e "s:python:${impl}:" "${f}" || die
+ sed -i -e "1s:python:${impl}:" "${f}" || die
done
}